import React from "react";
import { Switch, Route } from "react-router-dom";

import RenderRegistration from "./container/renderRegistration"
import RenderAuthorisation from "./container/renderAuthorisation"

import MainPage from "./container/MainPage";
// import Form from './components/Auth/index'
// import RegistrForm from './components/Auth/registration'
import MainPageStaffInfo from './container/MainPageStaffInfo'
import CategoryStaffInfo from './container/CategoryStaffInfo'

import SearchStaffs from './container/SearchStaff'

import SearchStaffsInfo from './container/SearchStaffsInfo'
import AddNewStaff from './container/AddNewStaff'

import AddNewCategory from './container/AddNewCategory'

export default () => (

    <div>
	    <Switch>
            <Route path="/" exact component={MainPage} />
            <Route path="/authorisation" exact component={RenderAuthorisation} />
            <Route path="/auth" exact component= {RenderAuthorisation}/>
            <Route path="/registration" exact component={RenderRegistration} />
            <Route path="/category/staff/:id" exact component={CategoryStaffInfo} />
            <Route path="/staff/:id" exact component={MainPageStaffInfo} />
            <Route path="/search/:title" exact component={SearchStaffs} />
                <Route path="/search/Staff/:id" exact component={SearchStaffsInfo} />
            <Route path="/newStaff" exact component={AddNewStaff} />
            <Route path="/addCategory" exact component={AddNewCategory} />
	    </Switch>
    </div>
);

