import React from 'react';
import { Field, reduxForm } from 'redux-form';
import { Link } from "react-router-dom";

const SendingForm = props => {
    const { handleSubmit, pristine, reset, submitting, AddNewStaff, allCategory} = props
    
    const submit = values => {
        values.img = "http://zabavnik.club/wp-content/uploads/vopros_2_14000037-939x1024.jpg"
        values.staff = "Машина"
        values.state = 1
        values.userId = 1
        
        AddNewStaff(values)
    };
    console.log(allCategory)
    return (
        <div className="formdiv">
            <div>
                <form onSubmit={handleSubmit(submit)} className="form">
                    <Field
                        name="title"
                        component="input"
                        type="text"
                        placeholder="Название"
                        className="input"
                    />

                    <Field
                        name="description"
                        component="input"
                        type="text"
                        placeholder="Описание"
                        className="input"
                    />

                    <Field
                        name="price"
                        component="input"
                        type="number"
                        placeholder="Цена"
                        className="input"
                    />

                    <Field
                        name="categoryId"
                        component="select"
                        
                        className="input"
                    >
                        
                        {allCategory.map(el => <option value={el.id}> {el.title}</option>)}
                    </Field>

                    <div>
                        <button type="submit" disabled={pristine || submitting} className="button" >
                            Submit
                        </button>
                        <button type="button" disabled={pristine || submitting} onClick={reset} className="button" >
                            Clear Values
                        </button>
                    </div>
                </form>
            </div>
        </div>
    )
}

export default reduxForm({
    form: 'SendingForm'
})(SendingForm)